import os

from pydantic import BaseSettings


class Settings(BaseSettings):
    config_dirname: str = "~/.mdrs-client"
    concurrent: int = 10

    class Config:
        env_file = ".env"
        env_file_encoding = "utf-8"


settings = Settings()

CONCURRENT = settings.concurrent
CONFIG_DIRNAME = os.path.realpath(os.path.expanduser(settings.config_dirname))
